Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Michael Heerdegen <[email-masked]>
Date: Sat, 12 Mar 2016 13:33:09 +0100

Eli Zaretskii <[email-masked]> writes:

> Second, I don't agree with Michael, so if we want to allow such a
> different behavior, I will insist on a user option.

I mean especially, if I end up with the default mode and the literal
search mode both show the same prompt, that would not be good.  But yes,
what I really would like would be to always show the searching mode in
the prompt.  This is not what you want, obviously.

Would it make sense to you to decide what to show in the prompt based on
the fact whether `search-default-mode' has a buffer local binding -
instead of introducing a new option (which seems a bit of overkill to
me)?  I.e., if there is a buffer local binding that differs from the
global value, do what I want - else, do what you prefer.

Michael.